Get Item
curl --request GET \
--url https://scrapebadger.com/v1/wallapop/items/{item_id} \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/wallapop/items/{item_id}"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/wallapop/items/{item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/wallapop/items/{item_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/wallapop/items/{item_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/wallapop/items/{item_id}")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/wallapop/items/{item_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"user_id": {},
"title": {},
"description": {},
"vertical": {},
"price": {},
"currency": {},
"category_id": {},
"taxonomy": [
{
"id": 123,
"name": {}
}
],
"condition": {},
"brand": {},
"model": {},
"attributes": {
"value": "<any>",
"title": {},
"text": {}
},
"characteristics": {},
"characteristics_details": [
{}
],
"hashtags": [
"<string>"
],
"images": [
{
"id": {},
"small": {},
"medium": {},
"large": {},
"average_color": {}
}
],
"location": {
"latitude": {},
"longitude": {},
"postal_code": {},
"city": {},
"region": {},
"region2": {},
"country_code": {},
"approximated": {}
},
"shippable": {},
"user_allows_shipping": {},
"supports_shipping": {},
"bumped": true,
"bump_type": {},
"is_top_profile": {},
"views": {},
"favorites": {},
"conversations": {},
"slug": {},
"url": {},
"modified_utc": {},
"modified_at": {}
}Items
Get Item
Full Wallapop listing detail — description, price, category path, structured attributes, photos, location, shipping, and views, favorites, and conversations counters.
GET
/
v1
/
wallapop
/
items
/
{item_id}
Get Item
curl --request GET \
--url https://scrapebadger.com/v1/wallapop/items/{item_id} \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/wallapop/items/{item_id}"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/wallapop/items/{item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/wallapop/items/{item_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/wallapop/items/{item_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/wallapop/items/{item_id}")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/wallapop/items/{item_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"user_id": {},
"title": {},
"description": {},
"vertical": {},
"price": {},
"currency": {},
"category_id": {},
"taxonomy": [
{
"id": 123,
"name": {}
}
],
"condition": {},
"brand": {},
"model": {},
"attributes": {
"value": "<any>",
"title": {},
"text": {}
},
"characteristics": {},
"characteristics_details": [
{}
],
"hashtags": [
"<string>"
],
"images": [
{
"id": {},
"small": {},
"medium": {},
"large": {},
"average_color": {}
}
],
"location": {
"latitude": {},
"longitude": {},
"postal_code": {},
"city": {},
"region": {},
"region2": {},
"country_code": {},
"approximated": {}
},
"shippable": {},
"user_allows_shipping": {},
"supports_shipping": {},
"bumped": true,
"bump_type": {},
"is_top_profile": {},
"views": {},
"favorites": {},
"conversations": {},
"slug": {},
"url": {},
"modified_utc": {},
"modified_at": {}
}Full detail for one Wallapop listing, including engagement counters that search does not return: views, favorites, and conversations.
Credits: 5
Authorization
Path Parameters
The listing, in any of three forms:
- Id —
nzxeknm5x562(theidfield of any search result). Fastest. - Slug —
iphone-14-128gb-1311318554(theslugfield). - Full URL —
https://es.wallapop.com/item/iphone-14-128gb-1311318554. URL-encode it when you put it in the path.
Query Parameters
es, it, or pt. Sets the language of attribute titles and text and the host of the returned url. See /v1/wallapop/markets.Response
Seller id. Use it with
/v1/wallapop/users/{user_id}.Example
curl "https://scrapebadger.com/v1/wallapop/items/nzxeknm5x562?market=es" \
-H "X-API-Key: YOUR_API_KEY"
import requests
res = requests.get(
"https://scrapebadger.com/v1/wallapop/items/nzxeknm5x562",
headers={"X-API-Key": "YOUR_API_KEY"},
params={"market": "es"},
)
data = res.json()
const res = await fetch(
"https://scrapebadger.com/v1/wallapop/items/nzxeknm5x562?market=es",
{ headers: { "X-API-Key": process.env.SCRAPEBADGER_API_KEY } },
);
const data = await res.json();
scrapebadger wallapop item nzxeknm5x562 --market es
Response
{
"id": "nzxeknm5x562",
"user_id": "dqjwdd53wwzo",
"title": "iPhone 14 128GB Negro",
"description": "iPhone 14 de color negro, con 128GB de almacenamiento.\nEn perfectas condiciones, y la pantalla impecable, siempre usado con cristal protector y funda desde el primer día.",
"vertical": "consumer_goods",
"price": 250.0,
"currency": "EUR",
"category_id": 9447,
"taxonomy": [
{ "id": 24200, "name": "Tecnología y electrónica" },
{ "id": 24201, "name": "Telefonía: móviles y smartwatches" },
{ "id": 9447, "name": "Smartphones" }
],
"condition": "good",
"brand": "Apple",
"model": "iPhone 14",
"attributes": {
"color": { "value": "black", "title": "Color", "text": "Negro" },
"condition": { "value": "good", "title": "Estado", "text": "Buen estado" },
"model": { "value": "iPhone 14", "title": "Modelo", "text": "iPhone 14" },
"brand": { "value": "Apple", "title": "Marca", "text": "Apple" },
"storage_capacity": { "value": "128gb", "title": "Capacidad de almacenamiento", "text": "128 GB" },
"up_to_kg": { "value": "1.0", "title": "Kg", "text": "1.0" }
},
"characteristics": "Buen estado · Apple · iPhone 14 · 128 GB · Negro",
"characteristics_details": [
{ "attribute": "Modelo", "value": "iPhone 14" },
{ "attribute": "Color", "value": "Negro" },
{ "attribute": "Capacidad de almacenamiento", "value": "128 GB" }
],
"hashtags": [],
"images": [
{
"id": "e65ve2rg0l2j",
"small": "https://cdn.wallapop.com/images/10420/lo/q3/__/c10420p1311318554/i6787540572.jpg?pictureSize=W320",
"medium": "https://cdn.wallapop.com/images/10420/lo/q3/__/c10420p1311318554/i6787540572.jpg?pictureSize=W640",
"large": "https://cdn.wallapop.com/images/10420/lo/q3/__/c10420p1311318554/i6787540572.jpg?pictureSize=W800",
"average_color": "13C1AC"
}
],
"location": {
"latitude": 40.47122907944395,
"longitude": -3.8786801592876357,
"postal_code": "28222",
"city": "Majadahonda",
"region": null,
"region2": null,
"country_code": "ES",
"approximated": true
},
"shippable": true,
"user_allows_shipping": true,
"supports_shipping": true,
"bumped": true,
"bump_type": "city",
"is_top_profile": true,
"views": 225,
"favorites": 14,
"conversations": 4,
"slug": "iphone-14-128gb-1311318554",
"url": "https://es.wallapop.com/item/iphone-14-128gb-1311318554",
"modified_utc": 1791753563.0,
"modified_at": "2026-10-11T21:19:23Z"
}
Errors
| Status | Cause |
|---|---|
404 | The listing does not exist or has been removed. Not charged. |
422 | market is not es, it, or pt. |
502 | Wallapop did not answer after retries. Not charged — retry the request. |
Each listing lookup costs 8 credits. Failed requests are not charged.

